Bug 121263 - Calc crashes when hide multiple sheets
Summary: Calc crashes when hide multiple sheets
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-11-08 04:50 UTC by Elmar
Modified: 2018-11-30 15:05 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
multiple sheets hide failure (15.37 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-11-08 04:55 UTC, Elmar
Details
gdbtrace.log (53.27 KB, text/x-log)
2018-11-08 07:28 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elmar 2018-11-08 04:50:36 UTC
Description:
When I select >1 sheet in a book, then right click to hide the sheets, Calc crashes

Steps to Reproduce:
1. create new workbook
2. add multiple sheets
3. select >1 sheet, right click tab, select hide


Actual Results:
calc crashes

Expected Results:
should not crash


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: SpreadsheetDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes
Version: 6.2.0.0.alpha1+
Build ID: 2cef68a605494bcef0388201b1058c95788c45a8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-03_00:54:52
Locale: en-GB (en_ZA.UTF-8); Calc: threaded
Comment 1 Elmar 2018-11-08 04:55:55 UTC
Created attachment 146421 [details]
multiple sheets hide failure

works fine in v6.1.2.1
Comment 2 Vera Blagoveschenskaya 2018-11-08 07:26:32 UTC
I can reproduce crash for

Version: 6.2.0.0.alpha1+
Build ID: bc42b6bfa49cc2b58201a8f6177dd3b1a0c038d8
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-06_19:01:37
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

gdbtrace.log is attached in the next comment
Comment 3 Vera Blagoveschenskaya 2018-11-08 07:28:17 UTC
Created attachment 146423 [details]
gdbtrace.log
Comment 4 Oliver Brinzing 2018-11-08 18:28:23 UTC
works fine in v6.1.3.2, crashes in 6.2
Comment 5 raal 2018-11-08 22:12:39 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin ; Could you possibly take a look at this one?
Thanks

43cb64418279ac458283dfd25961423a3354d98b is the first bad commit
commit 43cb64418279ac458283dfd25961423a3354d98b
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Oct 24 10:03:04 2018 +0200

    source sha:87c06415cebd707ae359cb2f1b06d468cb6afb08

author	Noel Grandin <noel.grandin@collabora.co.uk>	2018-10-23 08:20:34 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2018-10-24 08:38:02 +0200
commit	87c06415cebd707ae359cb2f1b06d468cb6afb08 (patch)
tree	2732c68fcc98c03f6fecddc59000e9e25b067c2d
parent	f31c9f16fefd16ea434cdd68721d45bced9b78e1 (diff)
clang-tidy performance-unnecessary-copy-init in sc
Comment 6 Commit Notification 2018-11-10 19:08:30 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4a514e21eda561ab1025610ea492360d01cbd52d%5E%21

tdf#121263 Calc crashes when hide multiple sheets

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-11-12 11:57:15 UTC
Verified in

Version: 6.2.0.0.alpha1+
Build ID: 3a99ae072ac170ebed8d1f5bf65913d3412fab67
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel Grandin, Thanks for fixing this!
Comment 8 Commit Notification 2018-11-30 15:05:59 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bfbd60d08be537d197b4b1f77962bb9c813298a3%5E%21

add uitest fr bug tdf#121263

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.